
/* ADD */
$('#savebtn').on('click', function (e) {
    var ddlBank = $('#ddlBank').val();
    var supplierid = $('#supplierid').val();
    var accountid = $('#accountid').val();
    var txtcheckNum = $('#txtcheckNum').val();
    var txtUser = $('#txtUser').val();
    var chekamount = $('#txtAmount').val();
    var accountbeginingbalance = Number($('#accountbeginingbalance').val());

    if (ddlBank == '-1') {
        $('#bankerror').html("<pre style='color:red;'>*اختر بنك </pre>");
        $('#chekerror2').html("");
        e.preventDefault();
    } else if (supplierid == '-1') {
        $('#bankerror').html("");
        $('#chekerror2').html("");
        $('#suppliererror').html("<pre style='color:red;'> *اختر المورد</pre>");
        e.preventDefault();
    } else if (accountid == '-1') {
        $('#bankerror').html("");
        $('#suppliererror').html("");
        $('#chekerror2').html("");
        $('#counterror').html("<pre style='color:red;'>*اختر الحساب </pre>");
        e.preventDefault();
    } else if (txtcheckNum == '') {
        $('#bankerror').html("");
        $('#suppliererror').html("");
        $('#counterror').html("");
        $('#chekerror2').html("");
        $('#chekerror').html("<pre style='color:red;'>*ادخل رقم  الشيك </pre>");
        e.preventDefault();
    } else if (txtUser == '') {
        $('#bankerror').html("");
        $('#suppliererror').html("");
        $('#counterror').html("");
        $('#chekerror').html("");
        $('#chekerror2').html("");
        $('#userdiv').html("<pre style='color:red;'>*ادخل اسم المستفيد</pre>");
        e.preventDefault();
    } else if (chekamount == '') {
        $('#bankerror').html("");
        $('#suppliererror').html("");
        $('#counterror').html("");
        $('#chekerror').html("");
        $('#chekerror2').html("");
        $('#userdiv').html("");
        $('#chekamount').html("<pre style='color:red;'>*ادخل قيمة الشيك</pre>");
        e.preventDefault();
    } else if (Number(chekamount) > accountbeginingbalance) {
        $('#bankerror').html("");
        $('#suppliererror').html("");
        $('#counterror').html("");
        $('#chekerror').html("");
        $('#chekerror2').html("");
        $('#userdiv').html("");
        $('#chekamount').html("<pre style='color:red;'>*لقد تخطيت قيمة الحساب</pre>");
        e.preventDefault();
    } else if (txtcheckNum != '') {
        $.post('salesreportajax.php?do=checkChkWithDraw', { chck: txtcheckNum, accid: accountid }, function (data) {
            if (data == -2) {
                $('#bankerror').html("");
                $('#suppliererror').html("");
                $('#counterror').html("");
                $('#chekerror').html("");
                $('#userdiv').html("");
                $('#chekamount').html("");
                $('#chekerror2').html("<pre style='color:red;'>تم ادخال هذا الرقم فى هذا الحساب  من قبل </p>");
                e.preventDefault();
            } else {

                $('#myform').submit();
            }
        });
    }

});

$('#delbtn').live('click', function (e) {
    $("#myModal155").modal("show");
    var id = $(this).data('id');
    var entryid = $(this).data('entryid');
    $('#expDel').attr('action', 'checkwithdrawalController.php?do=delete&id=' + id + '&action=' + entryid)
});

$('#ddbtn').live('click', function () {
    $('#expDel').submit();
    $(this).prop('disabled', true);
});

